package cn.iocoder.yudao.module.llm.dal.mysql.datarefluxdata;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.datarefluxdata.DataRefluxDataDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.datarefluxdata.vo.*;

/**
 * 数据回流 —— 数据 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface DataRefluxDataMapper extends BaseMapperX<DataRefluxDataDO> {

    default PageResult<DataRefluxDataDO> selectPage(DataRefluxDataPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<DataRefluxDataDO>()
                .eqIfPresent(DataRefluxDataDO::getModelServiceId, reqVO.getModelServiceId())
                .betweenIfPresent(DataRefluxDataDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(DataRefluxDataDO::getSystem, reqVO.getSystem())
                .eqIfPresent(DataRefluxDataDO::getPrompt, reqVO.getPrompt())
                .eqIfPresent(DataRefluxDataDO::getResponse, reqVO.getResponse())
                .orderByDesc(DataRefluxDataDO::getId));
    }

}